- Main Page
- Related Pages
- Modules
- Files

Functions
GLM_GTX_wrap
GTX Extensions (Experimental)

## Functions
template<typename genType >
genType | clamp (genType const &Texcoord)
template<typename genType >
genType | mirrorRepeat (genType const &Texcoord)
template<typename genType >
genType | repeat (genType const &Texcoord)

## Detailed Description

Wrapping mode of texture coordinates.

<glm/gtx/wrap.hpp> need to be included to use these functionalities.

## Function Documentation

genType glm::clamp | ( | genType const & | Texcoord | ) |

Simulate GL_CLAMP OpenGL wrap mode From GLM_GTX_wrap extension.

genType glm::mirrorRepeat | ( | genType const & | Texcoord | ) |

Simulate GL_MIRROR_REPEAT OpenGL wrap mode From GLM_GTX_wrap extension.

genType glm::repeat | ( | genType const & | Texcoord | ) |

Simulate GL_REPEAT OpenGL wrap mode From GLM_GTX_wrap extension.